%global _empty_manifest_terminate_build 0
%global common_desc Tempest plugin for functional testing of keystone's LDAP and federation features. More information can be found in the keystone developer documentation.
Name:           python-keystone-tempest-plugin
Version:        0.7.0
Release:        1
Summary:        Tempest plugin keystone_tempest_plugin
License:        Apache-2.0
URL:            https://github.com/openstack/keystone-tempest-plugin
Source0:        https://files.pythonhosted.org/packages/0d/12/7d56b7225abe6158f82aac4542a25bf62a8c901b22f0e60bd96489993b2c/keystone_tempest_plugin-0.7.0.tar.gz
BuildArch:      noarch
%description
%{common_desc}

%package -n python3-keystone-tempest-plugin
Summary:        Tempest plugin keystone_tempest_plugin
Provides:       python-keystone-tempest-plugin
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-lxml
BuildRequires:  python3-oslo-config
BuildRequires:  python3-requests
BuildRequires:  python3-tempest
BuildRequires:  python3-testtools
# General requires
Requires:       python3-lxml
Requires:       python3-oslo-config
Requires:       python3-pbr
Requires:       python3-requests
Requires:       python3-tempest
Requires:       python3-testtools
%description -n python3-keystone-tempest-plugin
%{common_desc}

%package help
Summary:        Tempest plugin keystone_tempest_plugin
Provides:       python3-keystone-tempest-plugin-doc
%description help
%{common_desc}

%prep
%autosetup -n keystone_tempest_plugin-0.7.0

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
#%{__python3} setup.py test

%files -n python3-keystone-tempest-plugin -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Jul 20 2021 OpenStack_SIG <openstack@openeuler.org> - 0.7.0-1
- Package Spec generate
